#ifndef HOST_H
#define HOST_H

/* create the host tab */
extern GtkWidget* create_host(void);

/* called when the host browse result is recv'd from 
	the server */
extern void host_result(char *text);
/* called when the host browse complete is recv'd from 
	the server */
extern void host_complete(void);
/* host not found result...yada yada yada */
extern void host_notfound(char *text);

/* add a host to the list */
extern void host_addhost(char *name);

/* view information about a host */
extern void view_host_info(gpointer d);

/* enable or disable the Browse Host button */
extern void host_login_status(int loggedin);

/* host list confirmation that the host was added or not */
extern void host_user_added(gboolean worked, char *user_name);
/* update the status(On or Off line) of the host */
extern void host_user_status(gboolean status, char *user_name);
/* give the host some new info */
extern void host_update_hostinfo(char *info);
extern void host_info_dialog(int message, char *info);

/* load up the hostlist */
extern void host_init_hostlist(void);
/* save the hostlist */
extern void host_save_hostlist(void);
#endif /* HOST_H */
